Bug 129045 - su hangs when su'ing as normal user to root
su hangs when su'ing as normal user to root
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: coreutils (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-03 10:52 EDT by Kaare Teilum
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-06 09:59:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output from 'strace -fp' (220.61 KB, text/plain)
2004-08-06 07:52 EDT, Kaare Teilum
no flags Details

  None (edit)
Description Kaare Teilum 2004-08-03 10:52:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
When I issue 'su' and the root password nothing happens.
If I issue 'su' and a wrong root password I get 'su: password incorrect'
If I issue 'su -' and the root password I login as root.

This problem has been observed on two machines both running NIS
support. The problem occurs for both NIS and local users.

On a stand-alone machine without NIS support there is no problem with su

The problem was not present in the previous FC1 installation

Version-Release number of selected component (if applicable):
5.2.1

How reproducible:
Always

Steps to Reproduce:
1.Install FC2 choose NIS support during installation
2.Issue 'su' in a terminal when logged in as a normal user
3.
    

Actual Results:  After issuing the root password nothing happens

Expected Results:  I should have been loggin in as root

Additional info:
Comment 1 Tim Waugh 2004-08-05 12:26:22 EDT
Does this happen if you log in as root and attempt 'su'?  If so,
please attach the 'log' output of 'strace su 2>log'.
Comment 2 Kaare Teilum 2004-08-06 06:54:58 EDT
There are no problems with 'su' when I am logged in as root.
Comment 3 Tim Waugh 2004-08-06 06:56:41 EDT
Then please run 'strace -fp PID' as root, where PID is the bash
session of the user about to run su.  Thanks.
Comment 4 Kaare Teilum 2004-08-06 07:52:47 EDT
Created attachment 102478 [details]
Output from 'strace -fp'
Comment 5 Kaare Teilum 2004-08-06 08:03:30 EDT
In the last line of the log there appears to be an attempt to access
"/ra1/linux/nmrpipe/nmrbin.linux/bash". This is an network drive to
which root on my machine do not have read-privileges.
If I log in as root and attempt to 'cd /ra1' the shell hangs.
Comment 6 Tim Waugh 2004-08-06 09:59:41 EDT
This is from a PATH traversal.  Don't put directories in PATH that
cannot be searched.

Note You need to log in before you can comment on or make changes to this bug.